Subject: bug#39379: 27.0.60; Fix for #38457 broke ido-vertical-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Feb 2020 10:12:25 +0200

> From: Jimmy Yuen Ho Wong <[email-masked]>
> Date: Fri, 31 Jan 2020 23:53:19 +0000
> 
> Fix for #38457, commit 3b0938c0420de2b845e7e8f8fbbb57ddc61718f2, seems
> to have broken ido-vertical-mode and perhaps other minor modes that uses
> similar techniques to render a custom ido completion list. Is there
> another fix possible, or better yet, introduce a new overridable
> function that controls how the prompt is displayed?
> 
> https://github.com/creichert/ido-vertical-mode.el/issues/48

Please show a recipe to reproduce the problem.  I don't use
ido-vertical-mode, and the issue you point to doesn't provide any
description of the actual problem, either.  So it's unclear what
exactly was broken by that commit and why.

Thanks.